Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSmDevicesNetworkAdapters({
deviceId: "string",
networkId: "string",
});
export const merakiNetworksSmDevicesNetworkAdaptersExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_sm_devices_network_adapters(device_id="string",
network_id="string")
pulumi.export("merakiNetworksSmDevicesNetworkAdaptersExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.GetSmDevicesNetworkAdapters(ctx, &networks.GetSmDevicesNetworkAdaptersArgs{
DeviceId: "string",
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSmDevicesNetworkAdaptersExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSmDevicesNetworkAdapters.Invoke(new()
{
DeviceId = "string",
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSmDevicesNetworkAdaptersExample"] = example.Apply(getSmDevicesNetworkAdaptersResult => getSmDevicesNetworkAdaptersResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSmDevicesNetworkAdaptersArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSmDevicesNetworkAdapters(GetSmDevicesNetworkAdaptersArgs.builder()
.deviceId("string")
.networkId("string")
.build());
ctx.export("merakiNetworksSmDevicesNetworkAdaptersExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSmDevicesNetworkAdapters
arguments:
deviceId: string
networkId: string
outputs:
merakiNetworksSmDevicesNetworkAdaptersExample: ${example.items}
Using getSmDevicesNetworkAdapters
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSmDevicesNetworkAdapters(args: GetSmDevicesNetworkAdaptersArgs, opts?: InvokeOptions): Promise<GetSmDevicesNetworkAdaptersResult>
function getSmDevicesNetworkAdaptersOutput(args: GetSmDevicesNetworkAdaptersOutputArgs, opts?: InvokeOptions): Output<GetSmDevicesNetworkAdaptersResult>def get_sm_devices_network_adapters(device_id: Optional[str] = None,
network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSmDevicesNetworkAdaptersResult
def get_sm_devices_network_adapters_output(device_id: Optional[pulumi.Input[str]] = None,
network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSmDevicesNetworkAdaptersResult]func GetSmDevicesNetworkAdapters(ctx *Context, args *GetSmDevicesNetworkAdaptersArgs, opts ...InvokeOption) (*GetSmDevicesNetworkAdaptersResult, error)
func GetSmDevicesNetworkAdaptersOutput(ctx *Context, args *GetSmDevicesNetworkAdaptersOutputArgs, opts ...InvokeOption) GetSmDevicesNetworkAdaptersResultOutput> Note: This function is named GetSmDevicesNetworkAdapters in the Go SDK.
public static class GetSmDevicesNetworkAdapters
{
public static Task<GetSmDevicesNetworkAdaptersResult> InvokeAsync(GetSmDevicesNetworkAdaptersArgs args, InvokeOptions? opts = null)
public static Output<GetSmDevicesNetworkAdaptersResult> Invoke(GetSmDevicesNetworkAdaptersInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSmDevicesNetworkAdaptersResult> getSmDevicesNetworkAdapters(GetSmDevicesNetworkAdaptersArgs args, InvokeOptions options)
public static Output<GetSmDevicesNetworkAdaptersResult> getSmDevicesNetworkAdapters(GetSmDevicesNetworkAdaptersArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSmDevicesNetworkAdapters:getSmDevicesNetworkAdapters
arguments:
# arguments dictionaryThe following arguments are supported:
- device_
id str - deviceId path parameter. Device ID
- network_
id str - networkId path parameter. Network ID
getSmDevicesNetworkAdapters Result
The following output properties are available:
- Device
Id string - deviceId path parameter. Device ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Sm Devices Network Adapters Item> - Array of ResponseSmGetNetworkSmDeviceNetworkAdapters
- Network
Id string - networkId path parameter. Network ID
- Device
Id string - deviceId path parameter. Device ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Sm Devices Network Adapters Item - Array of ResponseSmGetNetworkSmDeviceNetworkAdapters
- Network
Id string - networkId path parameter. Network ID
- device
Id String - deviceId path parameter. Device ID
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Sm Devices Network Adapters Item> - Array of ResponseSmGetNetworkSmDeviceNetworkAdapters
- network
Id String - networkId path parameter. Network ID
- device
Id string - deviceId path parameter. Device ID
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Sm Devices Network Adapters Item[] - Array of ResponseSmGetNetworkSmDeviceNetworkAdapters
- network
Id string - networkId path parameter. Network ID
- device_
id str - deviceId path parameter. Device ID
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Sm Devices Network Adapters Item] - Array of ResponseSmGetNetworkSmDeviceNetworkAdapters
- network_
id str - networkId path parameter. Network ID
- device
Id String - deviceId path parameter. Device ID
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseSmGetNetworkSmDeviceNetworkAdapters
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetSmDevicesNetworkAdaptersItem
- Dhcp
Server string - The IP address of the DCHP Server.
- Dns
Server string - The IP address of the DNS Server.
- Gateway string
- The IP address of the Gateway.
- Id string
- The Meraki Id of the network adapter record.
- Ip string
- The IP address of the network adapter.
- Mac string
- The MAC associated with the network adapter.
- Name string
- The name of the newtwork adapter.
- Subnet string
- The subnet for the network adapter.
- Dhcp
Server string - The IP address of the DCHP Server.
- Dns
Server string - The IP address of the DNS Server.
- Gateway string
- The IP address of the Gateway.
- Id string
- The Meraki Id of the network adapter record.
- Ip string
- The IP address of the network adapter.
- Mac string
- The MAC associated with the network adapter.
- Name string
- The name of the newtwork adapter.
- Subnet string
- The subnet for the network adapter.
- dhcp
Server String - The IP address of the DCHP Server.
- dns
Server String - The IP address of the DNS Server.
- gateway String
- The IP address of the Gateway.
- id String
- The Meraki Id of the network adapter record.
- ip String
- The IP address of the network adapter.
- mac String
- The MAC associated with the network adapter.
- name String
- The name of the newtwork adapter.
- subnet String
- The subnet for the network adapter.
- dhcp
Server string - The IP address of the DCHP Server.
- dns
Server string - The IP address of the DNS Server.
- gateway string
- The IP address of the Gateway.
- id string
- The Meraki Id of the network adapter record.
- ip string
- The IP address of the network adapter.
- mac string
- The MAC associated with the network adapter.
- name string
- The name of the newtwork adapter.
- subnet string
- The subnet for the network adapter.
- dhcp_
server str - The IP address of the DCHP Server.
- dns_
server str - The IP address of the DNS Server.
- gateway str
- The IP address of the Gateway.
- id str
- The Meraki Id of the network adapter record.
- ip str
- The IP address of the network adapter.
- mac str
- The MAC associated with the network adapter.
- name str
- The name of the newtwork adapter.
- subnet str
- The subnet for the network adapter.
- dhcp
Server String - The IP address of the DCHP Server.
- dns
Server String - The IP address of the DNS Server.
- gateway String
- The IP address of the Gateway.
- id String
- The Meraki Id of the network adapter record.
- ip String
- The IP address of the network adapter.
- mac String
- The MAC associated with the network adapter.
- name String
- The name of the newtwork adapter.
- subnet String
- The subnet for the network adapter.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
